commit 373345c5c929e54e7619ad8ca0dca5ce0b355ba3
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Oct 8 02:17:59 2021

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index e528addee6c..202e0fefcba 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20211007
+20211008
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 2d86d1b1a1a..585e4455efb 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,12 @@
+2021-10-07  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2021-10-07  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/99904
+	* pt.c (is_compatible_template_arg): Set processing_template_decl
+	around tsubst_constraint_info.
+
 2021-10-06  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 3a65df44326..1318fd9bf47 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2021-10-07  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2021-10-07  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/99904
+	* g++.dg/cpp2a/concepts-ttp4.C: New test.
+
 2021-10-06  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:

